require 'httparty'
require 'json'

module QuickeyRubySdk
    class App  
        attr_reader :api_base
        attr_reader :api_key

        def initialize(api_key: nil)
            @api_key = api_key
            @api_base = QuickeyRubySdk::API_BASE
        end

        def getMetaData
           JSON.parse HTTParty.post(@api_base+"/auth/apiKey", body: { "apiKey": @api_key }).body
        end

        def sendSMSOTP(phone, provider)
            response = JSON.parse HTTParty.post(@api_base+"/otp/sendToUserPhone",
                body: {
                    "phone": phone,
                    "provider": provider
                },
                headers: {
                    "Authorization": @api_key
                }).body
            response
        end
    end
end