require 'httparty'
require 'json'

module QuickeyRubySdk
    class Auth  
        attr_reader :api_base
        attr_reader :api_key
    
        def initialize(api_key: nil)
          @api_key = api_key
          @api_base = QuickeyRubySdk::API_BASE
        end
    
        def getAccessTokenByEmail(email, provider)
          response = JSON.parse HTTParty.post(@api_base+"/loginCustomer",
            body: {
                "email": email,
                "provider": provider
            },
            headers: {
                "Authorization": @api_key
            }).body
          response
        end
    
        def getAccessTokenByPhone(phone, provider, otpCode)
            response = JSON.parse HTTParty.post(@api_base+"/loginCustomer",
              body: {
                  "phone": phone,
                  "provider": provider,
                  "otpCode": otpCode
              },
              headers: {
                  "Authorization": @api_key
              }).body
            response
          end
      
    
        def linkPhoneToEmail(phone, provider)
            response = JSON.parse HTTParty.post(@api_base+"/otp/linkToEmail",
                body: {
                    "phone": phone,
                    "provider": provider
                },
                headers: {
                    "Authorization": @api_key
                }).body
              response
          end
      end    
end